Subject: Re: [Ice] Suresh Krishnan's Discuss on draft-ietf-ice-dualstack-fairness-04: (with DISCUSS and COMMENT)

From: "Pal Martinsen (palmarti)" <[email-masked]>
Date: Mon, 5 Sep 2016 10:54:12 +0000

> On 01 Sep 2016, at 07:18, Suresh Krishnan <[email-masked]> wrote:
> 
> Suresh Krishnan has entered the following ballot position for
> draft-ietf-ice-dualstack-fairness-04: Discuss
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ice-dualstack-fairness/
> 
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> * Section 4
> 
> I am trying to see if there is any background for the following
> statement
> 
> "It is worth noting that the timing recommendations in [RFC6555] are not
> optimal for ICE usage.”
> 
> Why is it not optimal? Do you want smaller or larger timings? Some
> explanations here would be good. Additionally, it might be worthwhile for
> this document to provide alternate timing recommendations that *are*
> optimal.
> 
Reworded to:
"It is worth noting that the timing recommendations in [RFC6555] will
   be overruled by how ICE paces out its connectivity checks.”

How fast ICE can actually send those connectivity checks without breaking NATs and not consume to much bandwidth is still discussed in the ICE wg. 
But this might be significantly faster that what is described in the HE RFC. 

> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> * Agree with Alissa's DISCUSS point. I ran into the same circular
> reference

Tried to fix.
> * Agree with Mirja’s comment about fairness being the wrong term to use
> 
Tend to agree as well, but have no other suggestions.

Thanks for the thorough review!

.-.
Pål-Erik

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 7 Sep 2016 03:59:29 +0000

Thanks Pal. That change clarifies the intent a lot better. I will clear when 
you post the new rev.

Regards
Suresh